diff -rubB initrd/usr/lib/setup/SeTPKG slackserver-setup/SeTPKG
--- initrd/usr/lib/setup/SeTPKG	2006-08-20 04:45:59.000000000 +0200
+++ slackserver-setup/SeTPKG	2007-03-13 16:47:39.000000000 +0100
@@ -49,37 +49,19 @@
 
 if [ -d $DS/e -o "$DS" = "" ]; then
 cat << EOF >> $TMP/tmpscript
-"E" "GNU Emacs" on "The E series contains the GNU Emacs advanced real-time display editor." \\
+"E" "GNU Emacs" off "The E series contains the GNU Emacs advanced real-time display editor." \\
 EOF
 fi
 
 if [ -d $DS/f -o "$DS" = "" ]; then
 cat << EOF >> $TMP/tmpscript
-"F" "FAQ lists, HOWTO documentation" on "The F series contains essential documentation for Linux system administrators." \\
-EOF
-fi
-
-if [ -d $DS/gnome -o "$DS" = "" ]; then
-cat << EOF >> $TMP/tmpscript
-"GNOME" "The GNOME desktop for X" on "The GNOME series contains the GNOME desktop environment and related libraries." \\
+"F" "FAQ lists, HOWTO documentation" off "The F series contains essential documentation for Linux system administrators." \\
 EOF
 fi
 
 if [ -d $DS/k -o "$DS" = "" ]; then
 cat << EOF >> $TMP/tmpscript
-"K" "Linux kernel source" on "The K series contains the source code for the Linux kernel." \\
-EOF
-fi
-
-if [ -d $DS/kde -o "$DS" = "" ]; then
-cat << EOF >> $TMP/tmpscript
-"KDE" "Qt and the K Desktop Environment for X" on "The KDE series contains the K Desktop Environment and related libraries." \\
-EOF
-fi
-
-if [ -d $DS/kdei -o "$DS" = "" ]; then
-cat << EOF >> $TMP/tmpscript
-"KDEI" "International language support for KDE" off "The KDEI series provides support for languages other than US English in KDE." \\
+"K" "Linux kernel source" off "The K series contains the source code for the Linux kernel." \\
 EOF
 fi
 
@@ -95,33 +77,9 @@
 EOF
 fi
 
-if [ -d $DS/t -o "$DS" = "" ]; then
-cat << EOF >> $TMP/tmpscript
-"T" "TeX typesetting software" on "TeX is a typesetting system often used for mathematics and technical papers." \\
-EOF
-fi
-
-if [ -d $DS/tcl -o "$DS" = "" ]; then
-cat << EOF >> $TMP/tmpscript
-"TCL" "Tcl/Tk script languages" on "The TCL series contains the Tcl/Tk/TclX languages and programs that use them." \\
-EOF
-fi
-
-if [ -d $DS/x -o "$DS" = "" ]; then
-cat << EOF >> $TMP/tmpscript
-"X" "X Window System" on "This series contains X, the windowing system used by Linux." \\
-EOF
-fi
-
-if [ -d $DS/xap -o "$DS" = "" ]; then
-cat << EOF >> $TMP/tmpscript
-"XAP" "X Applications" on "The XAP series is a collection of applications for X." \\
-EOF
-fi
-
-if [ -d $DS/y -o "$DS" = "" ]; then
+if [ -d $DS/s -o "$DS" = "" ]; then
 cat << EOF >> $TMP/tmpscript
-"Y" "Games" on "The Y series is a collection of classic BSD text-based games." \\
+"S" "Server" on "Additional (custom) packages." \\
 EOF
 fi
 
Only in slackserver-setup/: SeTPKG~
diff -rubB initrd/usr/lib/setup/setup slackserver-setup/setup
--- initrd/usr/lib/setup/setup	2006-08-25 07:59:56.000000000 +0200
+++ slackserver-setup/setup	2007-03-12 03:30:54.000000000 +0100
@@ -185,12 +185,12 @@
 using 'expert' or 'menu' mode.  Which type of prompting would you like \
 to use?" \
    20 76 7 \
-   "full" "Install everything (3+ GB of software, recommended)" \
-   "expert" "Choose individual packages from interactive menus" \
-   "menu" "Choose groups of packages from interactive menus" \
    "newbie" "Use verbose prompting (and follow tagfiles)" \
+   "menu" "Choose groups of packages from interactive menus" \
+   "expert" "Choose individual packages from interactive menus" \
    "custom" "Use custom tagfiles in the package directories" \
    "tagpath" "Use tagfiles in the subdirectories of a custom path" \
+   "full" "Install everything (3+ GB of software, recommended)" \
    "help" "Read the prompt mode help file" 2> $TMP/SeTpmode
    if [ ! $? = 0 ]; then
     rm -f $TMP/SeTpmode
